Package org.apache.wiki.auth.acl

# Interface Acl

All Superinterfaces:
  `org.apache.wiki.api.core.Acl`

All Known Implementing Classes:
  `AclImpl`

@Deprecated public interface Acl extends org.apache.wiki.api.core.Acl
Deprecated.
use `Acl` instead

Deprecated, interface kept in order to keep backwards compatibility with versions up to 2.11.0.M6. `Acl` should be used instead.

Since:
  2.3
See Also:
  - `Acl`

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`addEntry(AclEntry entry)`
Deprecated.
use `Acl.addEntry(org.apache.wiki.api.core.AclEntry)` instead.
`default Enumeration<AclEntry>`
`entries()`
Deprecated.
use `Acl.aclEntries()` instead.
`default AclEntry`
`getEntry(Principal principal)`
Deprecated.
use `Acl.getAclEntry(Principal)` instead.
`default boolean`
`removeEntry(AclEntry entry)`
Deprecated.
use `Acl.removeEntry(org.apache.wiki.api.core.AclEntry)` instead.

### Methods inherited from interface org.apache.wiki.api.core.Acl

`aclEntries, addEntry, findPrincipals, getAclEntry, isEmpty, removeEntry`

## Method Details

### addEntry

@Deprecated default boolean addEntry(AclEntry entry)
Deprecated.
use `Acl.addEntry(org.apache.wiki.api.core.AclEntry)` instead.
Adds an ACL entry to this ACL. An entry associates a principal (e.g., an individual or a group) with a set of permissions. Each principal can have at most one positive ACL entry, specifying permissions to be granted to the principal. If there is already an ACL entry already in the ACL, false is returned.

Parameters:
  `entry` - - the ACL entry to be added to this ACL
Returns:
  true on success, false if an entry of the same type (positive or negative) for the same principal is already present in this ACL

### entries

@Deprecated default Enumeration<AclEntry> entries()
Deprecated.
use `Acl.aclEntries()` instead.
Returns an enumeration of the entries in this ACL. Each element in the enumeration is of type AclEntry.

Returns:
  an enumeration of the entries in this ACL.
See Also:
  - `Acl.aclEntries()`

### getEntry

@Deprecated default AclEntry getEntry(Principal principal)
Deprecated.
use `Acl.getAclEntry(Principal)` instead.
Returns an AclEntry for a supplied Principal, or `null` if the Principal does not have a matching AclEntry.

Parameters:
  `principal` - the principal to search for
Returns:
  the AclEntry associated with the principal, or `null`
See Also:
  - `Acl.getAclEntry(Principal)`

### removeEntry

@Deprecated default boolean removeEntry(AclEntry entry)
Deprecated.
use `Acl.removeEntry(org.apache.wiki.api.core.AclEntry)` instead.
Removes an ACL entry from this ACL.

Parameters:
  `entry` - the ACL entry to be removed from this ACL
Returns:
  true on success, false if the entry is not part of this ACL